summaryrefslogtreecommitdiff
path: root/tests/vloghtb
diff options
context:
space:
mode:
Diffstat (limited to 'tests/vloghtb')
-rw-r--r--tests/vloghtb/.gitignore7
-rwxr-xr-xtests/vloghtb/run-test.sh11
2 files changed, 18 insertions, 0 deletions
diff --git a/tests/vloghtb/.gitignore b/tests/vloghtb/.gitignore
new file mode 100644
index 00000000..da1ffa41
--- /dev/null
+++ b/tests/vloghtb/.gitignore
@@ -0,0 +1,7 @@
+Makefile
+refdat
+rtl
+scripts
+spec
+check_yosys
+vloghammer_tb.tar.bz2
diff --git a/tests/vloghtb/run-test.sh b/tests/vloghtb/run-test.sh
new file mode 100755
index 00000000..9bef4450
--- /dev/null
+++ b/tests/vloghtb/run-test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -ex
+
+rm -rf Makefile refdat rtl scripts spec vloghammer_tb.tar.bz2
+wget http://www.clifford.at/yosys/nogit/vloghammer_tb.tar.bz2
+tar --strip=1 -xjf vloghammer_tb.tar.bz2
+
+make clean
+make -j4 YOSYS_BIN=$PWD/../../yosys YOSYS_SCRIPT="proc;;" check_yosys
+